import { LoadingCache as BaseLoadingCache, LoaderFn, LoadingCacheOptions } from 'loading-cache';
export declare class LoadingCache<K, V, C = K> extends BaseLoadingCache<K, V, C> {
    constructor(loaderFn: LoaderFn<K, V>, store: Map<K, V>, options?: LoadingCacheOptions<K, C> & {
        cacheKeyFn: never;
    });
    constructor(loaderFn: LoaderFn<K, V>, store: Map<C, V>, options: LoadingCacheOptions<K, C> & Required<Pick<LoadingCacheOptions<K, C>, 'cacheKeyFn'>>);
}
