"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoadingCache = void 0;
const loading_cache_1 = require("loading-cache");
const map_1 = require("loading-cache/adapters/map");
class LoadingCache extends loading_cache_1.LoadingCache {
    constructor(loaderFn, store, options) {
        // eslint-disable-next-line @typescript-eslint/no-unsafe-argument
        super(loaderFn, (0, map_1.mapAdapter)(store), options);
    }
}
exports.LoadingCache = LoadingCache;
//# sourceMappingURL=index.js.map